Skip to main content
GET
/
inbox
/
linkedin
/
messages
List LinkedIn messages
curl --request GET \
  --url https://api.altahq.com/v1/inbox/linkedin/messages \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "objectType": "linkedin_message",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "text": "<string>",
      "conversationId": "<string>",
      "prospectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "repId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "happenedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "hasMore": true,
  "next": "<string>",
  "previous": "<string>"
}

Authorizations

Authorization
string
header
required

API token authentication. Generate a token from the Alta dashboard and pass it as a Bearer token in the Authorization header.

Query Parameters

limit
integer
default:10

Maximum number of results to return (1–100). Defaults to 10.

Required range: 1 <= x <= 100
cursor
string

Cursor for pagination. Use the next or previous value from a prior response.

prospectId
string<uuid>

Filter messages by prospect ID.

campaignId
string<uuid>

Filter messages by campaign ID.

repId
string<uuid>

Filter messages by rep ID.

status
enum<string>

Filter by message status. Defaults to sent.

Available options:
sent,
draft
type
enum<string>

Filter by message type.

Available options:
manual,
campaign,
reply_agent,
received
tag
string

Filter messages by tag.

unread
enum<string>

When true, returns only unread messages.

Available options:
true

Response

A paginated list of LinkedIn messages

data
object[]
required
hasMore
boolean
required
next
string
previous
string